ultimix

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
double_panel.js File Reference

Go to the source code of this file.

## Functions
| if (!ultimix)
| if (!ultimix.double_panel)
function | FirstToSecond (FirstPanel, SecondPanel, EntityName)
function | SecondToFirst (FirstPanel, SecondPanel, EntityName)

## Function Documentation

function FirstToSecond | ( |  | FirstPanel,
|  |  | SecondPanel,
|  |  | EntityName
| ) |  |

Function adds element to the second panel.

Definition at line 24 of file double_panel.js.

{
if( EntityName != '' )
{
document.getElementById( FirstPanel ).removeChild( document.getElementById( EntityName + '_hidden_id' ) );
document.getElementById( FirstPanel ).removeChild( document.getElementById( EntityName + '_div_id_first' ) );
document.getElementById( SecondPanel ).innerHTML += "<div onclick=\"javascript:SecondToFirst( '" + FirstPanel +
"' , '" + SecondPanel + "' , '" + EntityName + "' );\" class='double_panel_row no_selection_text' id='" +
EntityName + "_div_id_second'>" + EntityName + "</div>";
jQuery( '.no_selection_text' ).disableTextSelect();
}
}

if | ( | ! | ultimix | ) |

Global namespace.

Author
  Dodonov A.A.

Definition at line 6 of file double_panel.js.

{
ultimix = {};
}

if | ( | !ultimix. | double_panel | ) |

Local namespace.

Author
  Dodonov A.A.

Definition at line 16 of file double_panel.js.

{
ultimix.double_panel = {};
}

function SecondToFirst | ( |  | FirstPanel,
|  |  | SecondPanel,
|  |  | EntityName
| ) |  |

Function adds element to the second panel.

Definition at line 41 of file double_panel.js.

{
if( EntityName != '' )
{
document.getElementById( FirstPanel ).innerHTML += "<input type='hidden' name='entities[]' id='" +
EntityName + "_hidden_id' value='" + EntityName + "'>";
document.getElementById( SecondPanel ).removeChild( document.getElementById( EntityName + '_div_id_second' ) );
document.getElementById( FirstPanel ).innerHTML += "<div onclick=\"javascript:FirstToSecond( '" + FirstPanel +
"' , '" + SecondPanel + "' , '" + EntityName + "' );\" class='double_panel_row no_selection_text' id='" +
EntityName + "_div_id_first'>" + EntityName + "</div>";
jQuery( '.no_selection_text' ).disableTextSelect();
}
}